qpid-cpp built from source does not support AMQP 1.0

Solution Verified - Updated -

Issue

qpid-cpp appears to build correctly, but will not connect to the AMQP listener on A-MQ; the test samples report errors such as

"Unsupported protocol: amqp1.0 (valid values are amqp0-10)"

Environment

  • Red Hat JBoss A-MQ
    • 6.x
    • 7.x
  • Apache Qpid C++ (qpid-cpp)

Subscriber exclusive content

A Red Hat subscription provides unlimited access to our knowledgebase of over 48,000 articles and solutions.

Current Customers and Partners

Log in for full access

Log In